<?php

include_once ($_SERVER['DOCUMENT_ROOT'] . '/webEdition/lib/we/core/autoload.php');

$isUTF8 = $GLOBALS['WE_BACKENDCHARSET'] == 'UTF-8';

$translate = we_core_Local::addTranslation('default.xml', 'weextplorer');

$perm_group_name = "weextplorer";
$perm_group_title[$perm_group_name] = $isUTF8 ? $translate->_('weextplorer') : utf8_decode($translate->_('weextplorer'));

$perm_values[$perm_group_name] = array(
	"USE_APP_WEEXTPLORER",
	"EDIT_APP_WEEXTPLORER",
	"SHOWHIDDEN_APP_WEEXTPLORER"
);

$perm_titles[$perm_group_name] = array();

$translated = array(
		$translate->_('The user is allowed to use weextplorer'),
		$translate->_('The user is allowed to edit items weextplorer'),
		$translate->_('The user is allowed to view/edit hidden files (i.e. .htaccess) in weextplorer')
);

foreach ($translated as $i => $value) {
	$perm_titles[$perm_group_name][$perm_values[$perm_group_name][$i]] = $isUTF8 ? $value : utf8_decode($value);
}

$perm_defaults[$perm_group_name] = array(
	"USE_APP_WEEXTPLORER" => 0,
	"EDIT_APP_WEEXTPLORER" => 0,
	"SHOWHIDDEN_APP_WEEXTPLORER" => 0
);

?>